consolekit (0.4.6-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark packages as kfreebsd-any hurd-any. On Linux, the consolekit package
    is actively harmful and should no longer be installed. See #888892

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Jan 2018 23:38:09 +0100

consolekit (0.4.6-6) unstable; urgency=medium

  * Update Vcs-*: field with Git repo change to collab-maint
  * Bump Standards-Version to 3.9.8 (no changes necessary)
  * Add myself to Uploaders

 -- Steven Chamberlain <stevenc@debian.org>  Wed, 25 Jan 2017 19:45:48 +0000

consolekit (0.4.6-5) unstable; urgency=medium

  [ Steve Langasek ]
  * 03-cleanup_console_tags.patch: call g_dir_close() when we're done, fixing
    a small memory leak.

  [ Martin Pitt ]
  * Add 04-long_device_names.patch: Allow for device names longer than 16
    characters.  Thanks to Aleix Conchillo Flaqué for the patch.
    (LP: #1130923)
  * Bump Standards-Version to 3.9.5 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Apr 2014 16:37:49 +0200

consolekit (0.4.6-4) unstable; urgency=low

  * Change Maintainer to myself as per Michael's invitation
    (https://lists.debian.org/debian-bsd/2014/02/msg00224.html)
  * Fix VT switching and credential checks on GNU/kFreeBSD. (Closes: #734070)
  * Use Linux versions of ck-system-restart and ck-system-stop on GNU/kFreeBSD.

 -- Robert Millan <rmh@debian.org>  Wed, 19 Feb 2014 00:27:27 +0100

consolekit (0.4.6-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Sep 2013 23:08:34 +0200

consolekit (0.4.6-2) experimental; urgency=low

  * Acknowledge non-maintainer upload, thanks Christoph and Petr.

 -- Michael Biebl <biebl@debian.org>  Fri, 19 Jul 2013 19:33:04 +0200

consolekit (0.4.6-1) experimental; urgency=low

  * New upstream release.
  * Track .xz tarballs instead of .gz.
  * Remove patches which are now applied upstream.
  * Enable support for udev-acl which has been removed from udev.
  * Add necessary Breaks/Replaces for udev.

 -- Michael Biebl <biebl@debian.org>  Fri, 19 Jul 2013 16:47:42 +0200

consolekit (0.4.5-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include patch by Petr Salinger to ignore empty environments.
    (Closes: #570015)

 -- Christoph Egger <christoph@debian.org>  Mon, 30 Jul 2012 13:57:55 +0200

consolekit (0.4.5-3) unstable; urgency=low

  * Strip debian/tmp/ from .install files.
  * Remove pre-lenny migration code, drop debian/consolekit.preinst.
  * debian/consolekit.docs: Don't install a second copy of the spec file,
    there is already one in libck-connector-dev.
  * Bump debhelper compatibility level to 9 for hardening build flags via
    dpkg-buildflags and multiarch support.
  * Install libck-connector and libpam-ck-connector into multiarch paths and
    mark them as Multi-Arch: same.
  * Tighten dependencies on libck-connector0.
  * Bump Standards-Version to 3.9.3. No further changes.

 -- Michael Biebl <biebl@debian.org>  Wed, 29 Feb 2012 23:04:51 +0100

consolekit (0.4.5-2) unstable; urgency=low

  * Add 00git_truncate_frequent.patch: ck-history: don't truncate --frequent
    output to 8 chars. (Closes: #660171, LP: #476811)
  * debian/README.Debian: Fix grammar, thanks lintian.

 -- Martin Pitt <mpitt@debian.org>  Fri, 24 Feb 2012 10:18:00 +0100

consolekit (0.4.5-1) unstable; urgency=low

  [ Michael Biebl ]
  * Bump Standards-Version to 3.9.2. No further changes.
  * Bump debhelper compatibility level to 8.

  [ Martin Pitt ]
  * New upstream bug fix release.
  * Drop 01-retry-console-open-on-EIO.patch, included upstream.

 -- Martin Pitt <mpitt@debian.org>  Fri, 20 May 2011 12:17:48 +0200

consolekit (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Feb 2011 21:06:58 +0100

consolekit (0.4.3-2) unstable; urgency=low

  * Add 01-retry-console-open-on-EIO.patch: As reported in LP: #544139,
    ConsoleKit sometimes fails to track the active VT. This particular case
    was tracked down to a race condition that happens if you try to open
    /dev/console while the current TTY is currently being closed. This yields
    an -EIO error, in which case CK should just try again. Thanks Colin Watson
    for the patch!

 -- Martin Pitt <mpitt@debian.org>  Sat, 20 Nov 2010 18:17:28 +0100

consolekit (0.4.3-1) unstable; urgency=low

  * New upstream release.
    - The VT_WAITEVENT mechanism proved to be racy and e.g. caused events
      being lost on suspend/resume. So this change was reverted again.
      (Closes: #600756)
  * Remove patches
    - d/p/01-fallback_no_vt_waitevent.patch (obsolete)
    - d/p/80-gnukfreebsd_support_configure.ac.patch (merged upstream)
    - d/p/debian/patches/99-autoreconf.patch (use dh-autoreconf instead)
  * Use dh-autoreconf to update the build system
    - Add Build-Depends on dh-autoreconf.
    - Run autoreconf dh addon in debian/rules.
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Drop quilt from Build-Depends.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk include.
    - Remove debian/README.source.
  * Move from cdbs to dh
    - Drop Build-Depends on cdbs.
    - Bump Build-Depends on debhelper to (>= 7.0.50~) for override targets.
    - Convert debian/rules to use dh.
  * debian/libck-connector-dev.install
    - Install D-Bus interfaces files.
  * Install systemd unit files.
  * debian/consolekit.docs
    - Install AUTHORS, NEWS, README and TODO. cdbs did this automatically for
      us, with dh we have to list them explicitly.

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Nov 2010 08:40:58 +0100

consolekit (0.4.2-1) unstable; urgency=low

  * New upstream release.
    - Use VT_WAITEVENT ioctl to monitor VT switches to avoid spawning a thread
      for each possible VT. This requires a Linux kernel 2.6.32 or newer.
      (Closes: #526499)
  * debian/control
    - Bump Standards-Version to 3.9.1.
    - Use architecture wildcard kfreebsd-any for the libkvm-dev Build-Depends.
    - Bump Build-Depends on libglib2.0-dev to (>= 2.14.0) for GRegex.
  * Remove patches which have been merged upstream.
    - debian/patches/01-dont_daemonize_when_activated.patch
    - debian/patches/02-dont_take_bus_name_until_ready.patch
    - debian/patches/04-dont_fail_with_invalid_seats_file.patch
  * debian/patches/01-fallback_no_vt_waitevent.patch
    - Add runtime check for VT_WAITEVENT and fallback to old behaviour of
      creating a thread for every possible VT.
  * debian/patches/82-hurd_support.patch
    - Updated for 0.4.2.
    - Check return value of malloc() to correctly handle OOM situations.
      Thanks Pino Toscano for the updated patch.

 -- Michael Biebl <biebl@debian.org>  Tue, 21 Sep 2010 05:52:04 +0200

consolekit (0.4.1-4) unstable; urgency=low

  [ Martin Pitt ]
  * debian/90consolekit: gdm already creates a CK session for us, so do not
    run the expensive D-Bus calls if we have $GDMSESSION.
  * Bump Standards-Version to 3.8.4 (no changes necessary).

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Feb 2010 23:47:23 +0100

consolekit (0.4.1-3) unstable; urgency=low

  [ Martin Pitt ]
  * Bump Breaks to udev to << 147, since 147-1 is in unstable now.

  [ Michael Biebl ]
  * debian/patches/01-dont_daemonize_when_activated.patch
    - Don't daemonize when being activated by D-Bus. D-Bus service activation
      does not (yet) handle forking daemons properly.
      Patch pulled from upstream Git.
  * debian/patches/04-defer_daemonizing.patch
    - Drop this patch, obsoleted by 01-dont_daemonize_when_activated.patch.
  * debian/patches/02-dont_take_bus_name_until_ready.patch
    - Claim bus name after registering the manager object. This fixes a race
      when being activated by a method call on the manager object, where
      ConsoleKit gets started but the method call fails. (Closes: #561592)
      Patch pulled from upstream Git.
  * debian/patches/04-dont_fail_with_invalid_seats_file.patch
    - Don't segfault when reading an invalid seats file and
      ck_seat_new_from_file returns NULL. (Closes: #561106)

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Jan 2010 13:48:08 +0100

consolekit (0.4.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Nov 2009 00:12:42 +0100

consolekit (0.4.1-1) experimental; urgency=low

  * New upstream release.
  * The 'session_active_changed' type has been removed for session.d/
    callouts. Tools relying on that need to be ported to the new seat.d/
    infrastructure and use 'seat_active_session_changed' instead.
    This breaks older versions of udev-acl, so add a Breaks: udev (<< 147~).

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Nov 2009 17:38:31 +0100

consolekit (0.3.1-2) unstable; urgency=low

  [ Martin Pitt ]
  * debian/consolekit.preinst: Remove obsolete 90-console-kit conffile for
    upgrades from Ubuntu 8.04. (Can be dropped after 10.04 LTS release.)

  [ Michael Biebl ]
  * debian/patches/82-hurd_support.patch
    - Add support for GNU/Hurd. (Closes: #552393)
      The patch adds a sysdeps-gnu backend, which implements the process
      management using Hurd's libps, the *ttyent API for the part of the
      console implementation and the rest using similar (valid) approaches of
      other backends.
      Also, it fixes the PATH_MAX usage in pam-ck-connector/pam-ck-connector.c
      by using a variable-length malloc'ed buffer.
      Thanks to Pino Toscano for the patch.
  * debian/patches/99-autoreconf.patch
    - Run autoreconf as 82-hurd_support.patch changes the build system.
  * debian/patches/81-gnukfreebsd_support_pseudo_run_autoconf.patch
    - Remove, made obsolete by 99-autoreconf.patch.

 -- Michael Biebl <biebl@debian.org>  Mon, 26 Oct 2009 00:52:52 +0100

consolekit (0.3.1-1) unstable; urgency=low

  * New upstream release:
    - port to PolicyKit 1.0
    - D-Bus policy updates
    - better diagnostic information for unimplemented backends
    - file monitoring fixes
    - get VT from X display if no controlling tty is available
    - add "nox11" option to PAM module
    - parse log entries with no body correctly
    - fix zero-sized struct/unions
    - solaris build fixes
    - parse gecos field for real name
    - leak fixes
    - compile warning fixes
    - fix doc xml validation errors
    - fix doc generation when srcdir != builddir
    - add example upstart events for logging
    - fix ChangeLog generation script to work with git-log moved to libexecdir
  * debian/control
    - Add Build-Depends on libpolkit-gobject-1-dev (>= 0.92).
  * debian/consolekit.install
    - Install policy definitions for ConsoleKit.
  * Drop patches
    - 04-consolekit_park.patch (obsolete, not used)
    - 05-dbus_policy.patch (merged upstream)
    - 05-pam-add-nox11.patch (merged upstream)
    - 06-xmlto_skip_validation.patch (fixed upstream, doc is valid xml now)
    - 08-fix-double-close.patch (merged upstream)
    - 09-directory-handle-leak.patch (merged upstream)
    - 10-file_monitor_remove_watch_crash.patch (merged upstream)
    - 11-unref-dbus-proxy.patch (merged upstream)
    - 12-allow-get-sessions.patch (merged upstream)
  * debian/pam-foreground-compat.ck
    - Don't create tag files for remote users. (Closes: #547347)

 -- Michael Biebl <biebl@debian.org>  Fri, 02 Oct 2009 02:58:05 +0200

consolekit (0.3.0-4) unstable; urgency=low

  * debian/consolekit.logrotate: Install a logrotate configuration file for
    /var/log/ConsoleKit/history so that it doesn't get huge and cause
    ck-history to take a long while to run on login. ck-history already
    handles reading from rotated logs. (Closes: #537833)
    Thanks to James Westby for the patch.
  * debian/libpam-ck-connector.pam-auth-update: Mark this module as applying
    only to interactive sessions. (Closes: #543306)
    Thanks to Steve Langasek for the patch.
  * Add README.source which refers to the quilt documentation.
  * Bump Standards-Version to 3.8.3.

 -- Michael Biebl <biebl@debian.org>  Wed, 02 Sep 2009 18:04:01 +0200

consolekit (0.3.0-3) unstable; urgency=low

  * debian/control
    - Update Vcs-* fields. Package is now managed with Git on git.debian.org.
    - Bump Standards-Version to 3.8.2. No further changes.
  * debian/copyright
    - Misc whitespace cleanups.
    - Refer to versioned GPL-2 file.
  * debian/consolekit.preinst
    - Use "set -e" instead of "#!/bin/sh -e".
  * debian/90consolekit
    - If an X session is started from the console using startx, make sure to
      register a CK session, even if XDG_SESSION_COOKIE is already set.
      (Closes: #520720)

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Jul 2009 20:09:54 +0200

consolekit (0.3.0-2) unstable; urgency=low

  * debian/consolekit.prerm
    - Stop console-kit-daemon upon package removal (using start-stop-daemon).
      (Closes: #518346)

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Mar 2009 17:15:35 +0100

consolekit (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-dbus_policy.patch
    - Removed, the access to the restart and stop actions is now properly
      restricted by checks in the source code.
  * debian/patches/02-exit_with_dbus.patch
    - Removed, merged upstream.
  * debian/patches/05-dbus_policy.patch
    - Updated by pulling latest patch from upstream Git.
  * debian/patches/06-xmlto_skip_validation.patch
    - Skip XML validation when generating the documentation. (Closes: #516253)
      A proper fix will be, to make ConsoleKit.xml actually valid XML.
  * debian/consolekit.docs
    - Update path to spec html file.
  * Merge patches from Ubuntu
    - debian/patches/04-consolekit_park.patch (Closes: #489032)
    - debian/patches/05-pam-add-nox11.patch
    - debian/patches/08-fix-double-close.patch
    - debian/patches/09-directory-handle-leak.patch (Closes: #516532)
    - debian/patches/10-file_monitor_remove_watch_crash.patch
    - debian/patches/11-unref-dbus-proxy.patch
    - debian/patches/12-allow-get-sessions.patch
  * debian/control
    - Wrap Build-Depends.
    - Bump Build-Depends on debhelper to (>= 7).
  * debian/compat
    - Bump debhelper compat level to 7.
  * Fix FTBFS on GNU/kFreeBSD. (Closes: #511270)
    - debian/patches/80-gnukfreebsd_support_configure.ac.patch
      debian/patches/81-gnukfreebsd_support_pseudo_run_autoconf.patch
      + Add kfreebsd target to configure(.ac) script
    - debian/control
      + Add libkvm-dev to Build-Depends on kfreebsd ports.
    Patch by Luca Favatella, thanks.
  * debian/libpam-ck-connector.{pam-auth-update,install,postinst,prerm},
    debian/rules: enable pam_ck_connector by default using the new
    pam-auth-update support.
  * debian/control: depend on libpam-runtime (>= 1.0.1-6) for the above.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Mar 2009 12:48:43 +0100

consolekit (0.2.10-5) unstable; urgency=high

  * debian/watch 
    - Fix the regex to not use the second Perl group. 
  * Urgency high as it still blocks #503532.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Jan 2009 16:56:40 +0100

consolekit (0.2.10-4) unstable; urgency=high

  [ Michael Biebl ]
  * debian/watch
    - Check for both .gz and .bz2 tarballs.
  * debian/control
    - Add ${misc:Depends} to libck-connector-dev.

  [ Simon McVittie ]
  * debian/patches/05-dbus_policy.patch: patch from
    Colin Walters so ConsoleKit introspection and SetIdleHint still work
    after CVE-2008-4311 is fixed in dbus-daemon. (Closes: #510645)
  * Urgency high for bugfix that blocks CVE-2008-4311 upload.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Jan 2009 17:58:29 +0100

consolekit (0.2.10-3) unstable; urgency=low

  * debian/patches/04-defer_daemonizing.patch
    - Daemonize after registering the dbus name to avoid a race condition
      where dbus-daemon thinks that console-kit-daemon has failed to start
      properly and returns an error to the caller. (Closes: #507815)
  * Document all patches to make lintian happy.

 -- Michael Biebl <biebl@debian.org>  Fri, 05 Dec 2008 01:28:46 +0100

consolekit (0.2.10-2) unstable; urgency=high

  * debian/patches/03-cleanup_console_tags.patch
    - Properly initialize GError to avoid daemon crash if /var/run/console/
      does not exist. Also, demote message about it from warning to debug,
      since it is not an error condition at all. (Closes: #492686)
      Patch by Martin Pitt, thanks.

 -- Michael Biebl <biebl@debian.org>  Mon, 28 Jul 2008 11:09:28 +0200

consolekit (0.2.10-1) unstable; urgency=low

  * New upstream release. (Closes: #464005, #489030)
  * debian/control
    - Add Build-Depends on pkg-config.
    - Add Build-Depends on zlib1g-dev.
    - Add Build-Depends on quilt.
    - Bump Standards-Version to 3.8.0. No further changes.
  * debian/org.freedesktop.ConsoleKit.service
    - Removed, merged upstream.
  * debian/libck-connector0.symbols
    - Add symbols file for libck-connector library.
  * consolekit.install
    - Install all binaries in /usr/bin and /usr/sbin instead of listing them
      individually.
    - Update the list of installed directories.
    - Install 90consolekit into /etc/X11/Xsession.d.
  * debian/pam-foreground-compat.ck
    - Add run-session.d script which creates pam_console compatible tag files.
      Script shamelessly taken from Ubuntu. (Closes: #422349)
  * debian/rules
    - Install pam-foreground-compat.ck into /usr/lib/ConsoleKit/run-session.d. 
    - Include patchsys-quilt.mk for patch management.
  * debian/90consolekit
    - Xsession ConsoleKit integration. Script is taken from Ubuntu but renamed
      to better fit with the existing naming conventions for Xsession scripts.
      (Closes: #452627)
  * debian/patches/01-dbus_policy.patch
    - Allow only root to call the Restart and Stop D-Bus methods since we are
      not using PolicyKit to restrict the access to those methods.
  * debian/patches/02-exit_with_dbus.patch
    - Pulled from upstream git. Exit when D-Bus system bus is stopped.
  * debian/patches/03-cleanup_console_tags.patch
    - Cleanup console tag files on application startup and shutdown.

 -- Michael Biebl <biebl@debian.org>  Sat, 26 Jul 2008 00:29:46 +0200

consolekit (0.2.3-3) unstable; urgency=low

  * debian/control
    - The Vcs-* fields are now officially supported, so remove the XS- prefix.
    - Bump Standards-Version to 3.7.3. No further changes required.
    - Drop dependency on lsb-base, as we no longer install a SysV init script.
    - Tighten dependency on dbus (>= 1.1.2). This is required for the D-Bus
      system activation support.
  * debian/consolekit.init
    - Deleted, no longer required.
  * debian/consolekit.install
    - Install the D-Bus service file debian/org.freedesktop.ConsoleKit.service
      into /usr/share/dbus-1/system-services. This allows to start the
      ConsoleKit service on demand.
  * debian/consolekit.preinst
    - Make sure the conffile /etc/init.d/consolekit and its symlinks in
      /etc/rc?.d are properly removed on package upgrades.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Dec 2007 23:14:14 +0100

consolekit (0.2.3-2) unstable; urgency=low

  * debian/control
    - Add Depends: lsb-base (>= 3.0-6) as the init script uses the LSB logging
      functions.
    - Use the new "Homepage:" field to specify the upstream URL.

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Oct 2007 20:04:16 +0200

consolekit (0.2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/consolekit.install 
    - Install the ck-get-x11-display-device binary.
    - Install the configuration files in /etc/ConsoleKit/.
  * debian/consolekit.docs
    - Install the ConsoleKit specification document.

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Sep 2007 21:34:38 +0200

consolekit (0.2.1-2) unstable; urgency=low

  * Upload to unstable. 

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Aug 2007 00:22:56 +0200

consolekit (0.2.1-1) experimental; urgency=low

  * Initial release. (Closes: #416568)

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Mar 2007 01:38:27 +0200

